Subject: Re: Flicker/stuttering
From: "Andrew Church" <[email-masked]>
To: "amos-list" <[email-masked]>
Date: 5 Sep 93 16:56:00 EST

>>One other type of flickering I have noticed occured in the earlier
>>versions of my current project.  When the screen was scrolled I noticed
>>the darker colours left a bright "After image".  I have since managed to
>>fix this but I do wonder why this occurs.
>
>Hmmm. I saw mention in a FAQ file that this could come from blitter operations
>taking a bit to long (more than one frame). Bit planes are apparently copied
>one at a time, and the resulting combinations can look funny.

  As I think I mentioned before (if it reached the list), this is what happens.
You could wind up with 2 bitplanes from the old picture and 2 from the new one
(for example).  The following code demonstrates this more clearly:

Screen Open 0,768,512,64,Laced
Palette 0,$F,,$F0,,,,$F00,,,,,,,,$8F,,,,,,,,,,,,,,,,$FFF
Cls 63 : Cls 0

  --Andy Church